:root {

    /* Ligth colors */

    --black: #222327;
    --black-75: #222327BF;
    --black-50: #22232780;
    --black-25: #22232740;
    --grey: #E1E2E5;
    --grey-75: #E1E2E5BF;
    --pink: #D66380;
    --pink-75: #D66380BF;
    --orange: #FDB772;
    --yellow: #FEE999;

    /* Dark colors */
    --black-dark: #222327;
    --grey-dark: #545353;
    --white-dark: #E1E2E5;
}

/*---------- GENERAL ----------*/

@font-face {
    font-family: "Poppins";
    src: url("fonts/poppins/Poppins-Regular.ttf");
}

@font-face {
    font-family: "Poppins-Bold";
    src: url("fonts/poppins/Poppins-Bold.ttf");
}

@font-face {
    font-family: "Patrick-hand";
    src: url("fonts/patrick_hand/PatrickHand-Regular.ttf");
}

body {
    font-family: "Poppins";
    font-size: 1rem;
    background-color: var(--grey);
}

/*---------- HEADER ----------*/

.navbar-nowa {
    display: flex;
    padding: 1vh 5vw;
    align-items: center;
    gap: 4vw;
    background-color: var(--grey);
    justify-content: space-between;
    position: sticky;
    top: 0;
    z-index: 2;
}

.nav-left {
    display: flex;
    align-items: end;
    padding-left: 3rem;
    padding-right: 3rem;
    gap: 10vw;
}

.logo-nowa {
    width: auto;
    height: 10vh;
}

.nav-nowa {
    display: flex;
    justify-content: flex-end;
    align-items: start;
    gap: 7vw;
}

.nav-link-nowa {
    color: var(--black);
    font-family: "Poppins";
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 700;
    line-height: 167%; /* 30.06px */
    text-transform: uppercase;
    text-decoration: none;
}

.switch input {
    display: none;
}

.switch {
    cursor: pointer;
    position: relative;
    display: flex;
    width: 68px;
    height: 31px;
    padding: 2px 4px;
    justify-content: space-between;
    align-items: center;
    border-radius: 31px;
    border: 1px solid var(--black-75);
    background-color: var(--grey);
    overflow: hidden;
}

.slider {
    position: relative;
    cursor: pointer;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: url('img/btn-darkmode/sun.svg');
    background-repeat: no-repeat;
    transition: 0.3s;
}

.slider::after {
    content: "";
    position: absolute;
    cursor: pointer;
    display: block;
    left: 34px;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #515357;
    transition: 0.3s;
}

.slider::before {
    content: "";
    transition: 0.3s;
}


input:checked + .slider {
    transform: translateX(34px);
    background: url('img/btn-darkmode/moon.svg');
    background-repeat: no-repeat;
}

input:checked + .slider::after {
    transform: translateX(-68px);
    box-shadow: 0 0 0 50px #222327BF;
    background-color: #2d3033;
}

.burger-menu {
    display: none;
}

/*---------- GIF ----------*/

.animation-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: end;
    align-items: end;
}

.animation-container img {
    position: absolute;
    /* Pour grossir nowa il faut mettre height en auto et width en 100%, mais la houpette dépasse*/
    width: 100%;
    height: auto;
    opacity: 0;
}

.animation-container img.show {
    opacity: 1;
}

/*---------- TITLE ----------*/

.background-header {
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right 40% bottom 20%;
}

.background-header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('img/background/banniere-header.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right 40% bottom 20%;
    opacity: 0.2; 
    z-index: -1; 
}

.title .container-title-nowa {
    padding: 12vh 5vw;
    gap: 2.5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title-nowa {
    width: 29vw;
    height: auto;
}

.title-1 {
    font-family: "Patrick-hand";
    font-size: 4rem;
}

.title-2 {
    font-family: "Patrick-hand";
    font-size: 3rem;
    text-align: center;
    padding-top: 2.5vh;
}

.title-3 {
    font-family: "Patrick-hand";
    font-size: 3rem;
}

.title-4 {
    font-family: "Poppins";
    font-size: 1.5rem;
    color: var(--pink);
    margin-top: 1vh;
}

.title-5 {
    font-family: "Patrick-hand";
    font-size: 1.5rem;
}

.bold-text {
    font-weight: bold;
}

.bold-text-poppins {
    font-family: "Poppins-Bold";
}

/*---------- BUTTONS ----------*/

.button-nowa {
    border: none;
    color: var(--grey);
    background-color: var(--pink);
    padding: 1vh 2vw;
    border-radius: 5vw;
    width: 13.375rem;
    text-decoration: none;
}

.button-nowa:hover {
    opacity: 50%;
    transition-duration: 300ms;
}

.button-nowa:active{
    opacity: 75%;
    transition-duration: 300ms;
}

.color-txt {
    color: var(--pink);
}

.logo-nav {
    width: 90px;
    height: 90px;
    margin-left: 30px;
}


/*---------- BODY ----------*/

.aboutUsAndVideo {
    text-align: center;
}

.aboutUs {
    text-align: center;
    padding-top: 5vh;
    padding-bottom: 5vh;
    
}

.video-about {
    width: 80vw;
    height: auto;
    border-radius: 30px;
}

.aboutUs p {
    font-size: 24px;
    margin-left: 2vw;
    margin-right: 2vw;
}

.program-method {
    justify-content: center;
    background-image: url('img/background/methode-programme.svg');
    background-repeat: no-repeat;
    background-size: cover;
    color: var(--black);
}

.programm {
    margin-top: 60vh;
    margin-bottom: 40vh;
    padding-left: 3vw;
    padding-right: 3vw;
}

.programm p {
    padding-top: 5vh;
    padding-bottom: 5vh;
    line-height: 2;
    font-size: 18px;
}

.lotus img {
    transform : scaleX(-1);
    height: 65%;
    width: auto;
    position: relative;
    margin-top: 17vh;
}

.method {
    padding-top: 20vh;
    padding-left: 3vw;
    padding-right: 3vw;

}

.method p {
    padding-top: 5vh;
    padding-bottom: 5vh;
    line-height: 2;
    font-size: 18px;
}

.reinsurance {
    display: flex;
    padding: 15vh 4vw;
    justify-content: space-between;
    align-items: start;
    position: relative;
}

.contact {
    display: flex;
    padding: 20vh 5vw 2vh 5vw;
    gap: 1vw;
    text-align: justify;
}

.contactButton {
    text-align: center;
}

.arrow-up {
    text-align: center;
}

.input-nowa {
    width: 100%;
    border-radius: 10em;
    border: none;
    padding: 0.7em 1em;
}

.textarea-nowa {
    width: 100%;
    border-radius: 1em;
    border: none;
    resize: none;
    padding: 0.7em 1em;
}

.responsiveProgramAndMethod {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.responsiveProgramm img {
    display: block;
    cursor: pointer;
    margin: -7vh auto;
}

.responsiveProgramm {
    margin-top: -7vh;
}

.responsiveMethod img {
    display: block;
    cursor: pointer;
    margin: 0 auto;
}

.responsiveMethod {
    z-index: 1;
}

.hidden-text {
    display: none;
}

.card-text {
    background-color: var(--grey);
    text-align: center; 
    margin-left: 2vw;
    margin-right: 2vw;
    border-radius: 10px;
}

/*---------- FOOTER ----------*/

footer {
    background-image: url('img/background/footer.webp');
    background-repeat: no-repeat;
    background-size: cover;
    height: fit-content;
    
}

.gradient-footer {
    padding-top: 20vh;
    background-color: #e1e2e5c8;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.footer-nav {
    font-size: 1rem;
}

.contacts-footer {
    font-size: 1.125rem;
}

.container-socials-links {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.socials-links {
    width: 8.25rem;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 1.88rem;
}

.border-line {
    color: var(--pink);
    margin-left: 20%;
    margin-right: 20%;
}

.credits-text {
    font-size: 0.8rem;
}


/*---------- MEDIA QUERY ----------*/


@media screen and (max-width: 970px) {
    .navbar-nowa {
        padding: 1vh 2vw;
    }

    .container-nowa {
        margin-left: 1rem;
        margin-right: 1rem;
    }

    .title-nowa {
        width: 60vw;
    }
    
    .logo-nowa {
        width: auto;
        height: 8vh;
    }

    .title {
        display: none;
    }

    .resp-title .container-title-nowa {
        margin: 5vh 3vw;
    }

    .resp-title .title-nowa-img {
        width: 70vw;
        height: auto;
    }

    .resp-title .title-1 {
        margin-top: 2vh;
        font-size: 2rem;
    }

    .nav-left  {
        position: absolute;
        top: 120px;
        margin-top: -200%;
        margin-left: 10%;
        padding: 2vh 2vw;
        flex-direction: column;
        background-color: var(--grey);
        width: 80%;
        height: fit-content;
        justify-content: center;
        align-items: center;
        transition: 0.5s;
        border-radius: 24px;
        -webkit-border-radius: 24px;
        -moz-border-radius: 24px;
        -ms-border-radius: 24px;
        -o-border-radius: 24px;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    }

    .responsive-menu {
        margin-top: 0;
    }

    .navbar-nowa .burger-menu {
        display: block;
        padding: 2vh 2vw;
        z-index: 1;
    }

    .nav-nowa {
        flex-direction: column;
        width: 100%;
        justify-content: center;
        align-items: center;
    }

    .program-method {
        display: none;
    }

    .reinsurance {
        display: none;
    }

    .resp-reinsurance {
        position: relative;
        background-repeat: no-repeat;
        background-size: cover;
        height: fit-content;
        background-position: right 40% bottom 20%;
    }

    .resp-reinsurance::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url('img/background/backgroundTrees.webp');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: right 40% bottom 20%;
        opacity: 0.15; /* Opacité de l'image de fond */
        z-index: -1; /* Assurez-vous que l'élément pseudo-classe est en arrière-plan */
    }

    .dark .resp-reinsurance::after {
        background-image: url('img/background/backgroundTrees-dark.webp');
    }

    .rythmeAndPersonneUnique {
        display: flex;
        padding: 1vh 6vw 1vh 6vw;
        justify-content: space-between;
        align-items: center;
    }

    .lieuAndReponse {
        display: flex;
        padding: 1vh 6vw 1vh 6vw;
        justify-content: space-between;
        align-items: center;
        text-align: end;
    }

    .lydie {
        width: 40%;
        height: auto;
    }

    footer {
        background-image: url('img/background/footer.webp');
        background-repeat: no-repeat;
        background-size: cover;
        height: fit-content;
        background-position: 50%;
        
    }
}

@media screen and (min-width: 970px) {

    .resp-title {
        display: none;
    }

    .resp-reinsurance {
        display: none;
    }

    .resp-program-method {
        display: none;
    }

    .responsiveMethod img,
    .responsiveProgramm img {
        display: none;
    }

}

/*---------- DARK MODE ----------*/

.dark {
    background-color: var(--black-dark);
    color: var(--white-dark);
}

.dark .navbar-nowa {
    background-color: var(--black-dark);
    color: var(--white-dark);
}

.dark .nav-left {
    background-color: var(--black);
}

.dark a.nav-link-nowa {
    color: var(--white-dark);
}

.dark span.nav-link-nowa {
    color: var(--white-dark);
}

.dark .background-header {
    background-image: url('img/background/banniere-header-dark.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right 40% bottom 20%;
}

.dark .gradient-header {
    background: linear-gradient(#00000000, #232227);
}

.dark footer {
    background-image: url('img/background/footer-dark.webp');
    background-repeat: no-repeat;
    background-size: cover;
    height: fit-content;
}

.dark .gradient-footer {
    padding-top: 20vh;
    background-color: #23222783;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.dark .card-text{
    background-color:  var(--black-dark);
}